{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.appearance.base;
  inherit (config.marleyos) isDesktop;
in {
  options.marleyos.appearance.base.enable = lib.mkEnableOption "base";

  config = lib.mkIf cfg.enable {
    rose-pine = {
      enable = true;
      flavor = "main";
    };

    rose-pine.pointerCursor.enable = lib.mkIf config.rose-pine.enable true;

    marleyos = {
      theme = {
        icons = {
          package = pkgs.kora-icon-theme;
          name = "kora";
        };

        fonts = {
          monospace = {
            package = pkgs.maple-mono-NF;
            name = "Maple Mono NF";
            # TODO: package font with harfbuzz features.
            ligatures = [
              "cv02"
              "ss01"
              "ss02"
              "ss03"
              "ss04"
              "ss05"
            ];
          };
        };
      };
      apps = {
        pinentry =
          if isDesktop
          then pkgs.pinentry-gtk2
          else pkgs.pinentry-curses;
      };
    };
  };
}
