{
  lib,
  config,
  inputs,
  ...
}: let
  cfg = config.marleyos.appearance.qt;
in {
  options.marleyos.appearance.qt.enable = lib.mkEnableOption "qt";

  config = lib.mkIf cfg.enable {
    xdg.configFile = lib.mkIf config.rose-pine.enable {
      "qt5ct/colors/rose-pine.conf" = {
        source = "${inputs.rose-pine-qt5ct}/rose-pine.conf";
      };
    };

    qt = {
      enable = true;
      style.name = "adwaita";
    };
  };
}
