{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.bundles.server;

  inherit (lib.marleyos) enabled;
in {
  options.marleyos.bundles.server.enable = lib.mkEnableOption "server";

  config = lib.mkIf cfg.enable {
    marleyos = {
      appearance = {
        base = enabled;
        console = enabled;
      };

      programs = {
        cli = enabled;
        tui = enabled;
      };

      services = {
        ddclient = enabled;
        docker = enabled;
        openssh = enabled;
      };
    };
  };
}
