{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.services.protonmail-bridge;
in {
  options.marleyos.services.protonmail-bridge.enable = lib.mkEnableOption "protonmail-bridge";

  config = lib.mkIf cfg.enable {
    marleyos.services.gnome-keyring.enable = true;

    services.protonmail-bridge = {
      enable = true;
      package = pkgs.protonmail-bridge-gui;

      path = with pkgs; [gnome-keyring];
    };
  };
}
