{lib, ...}: let
  inherit (lib.marleyos) enabled;
in {
  imports = [./hardware-configuration.nix ./mounts.nix ./autorandr.nix];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "nyx";

  # For local dev.
  networking.firewall.allowedTCPPorts = [8080];

  marleyos = {
    hasNvidia = true;
    mounts.babeshare = enabled;

    bundles.desktop = enabled;

    wayland.hyprland = enabled;
    services = {
      ly = enabled;
    };
  };

  system.stateVersion = "24.05";
}
